<form [formGroup]="dataForm" (ngSubmit)="submitData()">
  <mat-form-field appearance="outline">
    <mat-label>{{labelText}}</mat-label>
    <input data-cy="text-input" matInput type="text" formControlName="text"/>
  </mat-form-field>
  <div style="display: flex; justify-content: space-around">
    <button data-cy="send-text-button" mat-flat-button color="primary" type="submit">Send</button>
    <button data-cy="reset-text-button" mat-flat-button color="warn" (click)="resetForm()">Reset</button>
  </div>
</form>
